# DataExchange
TKSTEPBase
StepGeom

# StepGeom_Ellipse Class Reference

`#include <StepGeom_Ellipse.hxx>`

Inheritance diagram for StepGeom_Ellipse:

[legend]

## Public Member Functions

Standard_EXPORT | StepGeom_Ellipse ()
| Returns a Ellipse .
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const StepGeom_Axis2Placement &aPosition)
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const StepGeom_Axis2Placement &aPosition, const Standard_Real aSemiAxis1, const Standard_Real aSemiAxis2)
Standard_EXPORT void | SetSemiAxis1 (const Standard_Real aSemiAxis1)
Standard_EXPORT Standard_Real | SemiAxis1 () const
Standard_EXPORT void | SetSemiAxis2 (const Standard_Real aSemiAxis2)
Standard_EXPORT Standard_Real | SemiAxis2 () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_Real | semiAxis1
Standard_Real | semiAxis2

## Constructor & Destructor Documentation

Standard_EXPORT StepGeom_Ellipse::StepGeom_Ellipse | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepGeom_Ellipse::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepGeom_Conic.

virtual Standard_EXPORT void StepGeom_Ellipse::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const StepGeom_Axis2Placement & | aPosition,
|  | const Standard_Real | aSemiAxis1,
|  | const Standard_Real | aSemiAxis2
| ) | `[virtual]`

virtual Standard_EXPORT void StepGeom_Ellipse::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const StepGeom_Axis2Placement & | aPosition
| ) | `[virtual]`

| Reimplemented from StepGeom_Conic.

Standard_EXPORT Standard_Real StepGeom_Ellipse::SemiAxis1 | ( |  | ) | const

Standard_EXPORT Standard_Real StepGeom_Ellipse::SemiAxis2 | ( |  | ) | const

Standard_EXPORT void StepGeom_Ellipse::SetSemiAxis1 | ( | const Standard_Real | aSemiAxis1 | ) |

Standard_EXPORT void StepGeom_Ellipse::SetSemiAxis2 | ( | const Standard_Real | aSemiAxis2 | ) |

## Field Documentation

Standard_Real StepGeom_Ellipse::semiAxis1 `[private]`

Standard_Real StepGeom_Ellipse::semiAxis2 `[private]`

The documentation for this class was generated from the following file:

- StepGeom_Ellipse.hxx